Bug 1031549 - Logging is too verbose for normal operation
Logging is too verbose for normal operation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 04:37 EST by Zdenek Kabelac
Modified: 2016-07-19 06:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:36:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-11-18 04:37:01 EST
Description of problem:

IMHO the logging of NetworkManager seems to be too verbose - and especially with tools like  'journalctl -xb'  it seems to be taking even too much attention
while it's just being started and nothing really serious is going on there.

I'm not aware I'd be configuring some 'verbosity' level - is it configurable ?

I do not think it's really necessary to see list of all my 30 wi-fi connection,
or vpn connections with each boot.

I think the default should just say - where it's been connected eventually with  IP address - the rest is just noise, moreover in many cases written with 'bold' letters for no reason in journalctl.

If a user wants to see more - there should be configurable option for this level of verbosity.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-15.git20131003.fc21.x86_64

How reproducible:


Steps to Reproduce:
1. journalctl -b
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Haller 2015-01-15 09:24:40 EST
In NetworkManager you can configure "level" and "domains" for logging.

Either at startup via command line options, via NetworkManager.conf, or at runtime via DBUS command (or `nmcli general logging`).
Comment 2 Jaroslav Reznik 2015-03-03 10:12:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Admin XMLRPC Client 2015-08-18 10:59:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 06:36:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.